# Пробегает по папке с базой обсидиана, находит не поддерживаемые файлы
# и создает дубликат файла с именем + .md

import os.path

SUPPORTED_FILE = ['.md', '.png', '.jpg', '.jpeg', '.mp3', '.webm', \
                '.wav', '.m4a', '.ogg', '.3gp', '.flac', '.pdf','']
BASE_DIR = 'C:\\Users\\sisin\\Documents\\Test'
OPENING_TEXT = 'Внешний файл\n\n'           

def scan_dir(path):
    current_files = os.listdir(path=path) 
    for file in current_files:
        file_name = os.path.join(path, file) 
        if os.path.isdir(file_name):
            scan_dir(file_name)
        else:
            _, ext = os.path.splitext(file_name) 
            if not ext in SUPPORTED_FILE:
                create_md_file(file_name)

def create_md_file(file_name):
    if not os.path.exists(file_name + ".md"):
        with open(file_name + ".md", 'w', encoding='utf-8') as f:
            name = os.path.split(file_name)[1]
            f.write('{}![{}]({})\n'.format(OPENING_TEXT, name, file_name))
            

scan_dir(BASE_DIR)
